USE CCR;
GO

SET NOCOUNT ON;
SET XACT_ABORT ON;
SET ANSI_NULLS ON;
SET QUOTED_IDENTIFIER ON;
GO

IF DB_NAME() <> 'CCR'
BEGIN
    RAISERROR('Wrong database.', 16, 10);
    RETURN;
END;
GO

IF NOT EXISTS (
    SELECT 1
    FROM INFORMATION_SCHEMA.TABLES
    WHERE TABLE_SCHEMA = 'dbo'
      AND TABLE_NAME = 'InstantPaymentSystemTypes'
)
BEGIN
    CREATE TABLE dbo.InstantPaymentSystemTypes (
        PaymentSystem VARCHAR(255) NOT NULL
    );
END
GO
